Bug 1468966 - libpst-0.6.70-2.fc27 violates Python packaging guidelines
libpst-0.6.70-2.fc27 violates Python packaging guidelines
Status: NEW
Product: Fedora
Classification: Fedora
Component: libpst (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Carl Byington
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 02:26 EDT by Petr Pisar
Modified: 2017-08-16 11:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.6.71
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2017-07-10 02:26:19 EDT
The python subpackage name as well as Python dependencies are wrong. See this Taskotron error output:

These RPMs' names violate the new Python package naming guidelines:
libpst-python-0.6.70-2.fc27

Read the following document to find more information and a possible cause:
https://python-rpm-porting.readthedocs.io/en/latest/naming-scheme.html
Or ask at #fedora-python IRC channel for help.

If you think the result is false or intentional, file a bug against:
https://github.com/fedora-python/task-python-versions/issues

-----------

These RPMs use `python-` prefix without Python version in *Requires:

libpst-0.6.70-2.fc27 BuildRequires:
 * python-devel (python2-devel is available)

This is strongly discouraged and should be avoided. Please check
the required packages, and use names with either `python2-` or
`python3-` prefix.


Read the following document to find more information and a possible cause:
https://fedoraproject.org/wiki/Packaging:Python#Dependencies
Or ask at #fedora-python IRC channel for help.

If you think the result is false or intentional, file a bug against:
https://github.com/fedora-python/task-python-versions/issues

-----------
Comment 1 Jan Kurik 2017-08-15 03:49:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 2 Carl Byington 2017-08-16 11:47:28 EDT
should be fixed in 0.6.71

Note You need to log in before you can comment on or make changes to this bug.